CheckIndex.Status.DocValuesStatus (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, class: CheckIndex, class: Status, class: DocValuesStatus

Package org.apache.lucene.index

# Class CheckIndex.Status.DocValuesStatus

java.lang.Object
org.apache.lucene.index.CheckIndex.Status.DocValuesStatus

Enclosing class:
  `CheckIndex.Status`

public static final class CheckIndex.Status.DocValuesStatus extends Object
Status from testing DocValues

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Throwable`
  `error`
  Exception thrown during doc values test (null on success)
  `long`
  `totalBinaryFields`
  Total number of binary fields
  `long`
  `totalNumericFields`
  Total number of numeric fields
  `long`
  `totalSkippingIndex`
  Total number of skipping index tested.
  `long`
  `totalSortedFields`
  Total number of sorted fields
  `long`
  `totalSortedNumericFields`
  Total number of sortednumeric fields
  `long`
  `totalSortedSetFields`
  Total number of sortedset fields
  `long`
  `totalValueFields`
  Total number of docValues tested.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### totalValueFields

    public long totalValueFields
    Total number of docValues tested.

  - ### totalNumericFields

    public long totalNumericFields
    Total number of numeric fields

  - ### totalBinaryFields

    public long totalBinaryFields
    Total number of binary fields

  - ### totalSortedFields

    public long totalSortedFields
    Total number of sorted fields

  - ### totalSortedNumericFields

    public long totalSortedNumericFields
    Total number of sortednumeric fields

  - ### totalSortedSetFields

    public long totalSortedSetFields
    Total number of sortedset fields

  - ### totalSkippingIndex

    public long totalSkippingIndex
    Total number of skipping index tested.

  - ### error

    public Throwable error
    Exception thrown during doc values test (null on success)